export var SelectType;

(function (SelectType) {
  SelectType["auto"] = "auto";
  SelectType["int"] = "int";
  SelectType["oneDecimal"] = "oneDecimal";
  SelectType["twoDecimal"] = "twoDecimal";
  SelectType["percent"] = "percent";
  SelectType["oneDecimalPercent"] = "oneDecimalPercent";
  SelectType["twoDecimalPercent"] = "twoDecimalPercent";
  SelectType["custom"] = "custom";
})(SelectType || (SelectType = {}));

export var ImageDisplayMode;

(function (ImageDisplayMode) {
  ImageDisplayMode[ImageDisplayMode["LEFT"] = 0] = "LEFT";
  ImageDisplayMode[ImageDisplayMode["CENTER"] = 1] = "CENTER";
  ImageDisplayMode[ImageDisplayMode["RIGHT"] = 2] = "RIGHT";
  ImageDisplayMode[ImageDisplayMode["CLIP"] = 3] = "CLIP";
  ImageDisplayMode[ImageDisplayMode["STRETCH"] = 4] = "STRETCH";
})(ImageDisplayMode || (ImageDisplayMode = {}));

export var LegendPositionType;

(function (LegendPositionType) {
  LegendPositionType["None"] = "none";
  LegendPositionType["Top"] = "top";
  LegendPositionType["Bottom"] = "bottom";
  LegendPositionType["Left"] = "left";
  LegendPositionType["Right"] = "right";
})(LegendPositionType || (LegendPositionType = {}));

export var ConstastTypeMap = {
  dateRegion: ['DAY_DAY_RING_RATIO', 'DAY_WEEK_RATIO', 'DAY_MONTH_RATIO', 'DAY_YEAR_RATIO'],
  weekRegion: ['WEEK_WEEK_RING_RATIO', 'WEEK_YEAR_RATIO'],
  monthRegion: ['MONTH_MONTH_RING_RATIO', 'MONTH_YEAR_RATIO'],
  quarterRegion: ['QUARTER_QUARTER_RING_RATIO', 'QUARTER_YEAR_RATIO'],
  yearRegion: ['YEAR_YEAR_RING_RATIO']
};
export var ChartAreaType;

(function (ChartAreaType) {
  ChartAreaType["XAxis"] = "xAxis";
  ChartAreaType["YAxis"] = "yAxis";
  ChartAreaType["YMainAxis"] = "yMainAxis";
  ChartAreaType["YSecondaryAxis"] = "ySecondaryAxis";
  ChartAreaType["Legend"] = "legend";
  ChartAreaType["Row"] = "row";
  ChartAreaType["Column"] = "column";
  ChartAreaType["IMAGE"] = "image";
  ChartAreaType["SecondaryColumn"] = "secondaryColumn";
})(ChartAreaType || (ChartAreaType = {}));

export var ChartSeriesType;

(function (ChartSeriesType) {
  ChartSeriesType["Measure"] = "measure";
  ChartSeriesType["DimensionValue"] = "dimensionValue";
  ChartSeriesType["Combination"] = "combination";
})(ChartSeriesType || (ChartSeriesType = {}));

export var ScreenBorderType;

(function (ScreenBorderType) {
  ScreenBorderType["Top"] = "Top";
  ScreenBorderType["Right"] = "Right";
  ScreenBorderType["Bottom"] = "Bottom";
  ScreenBorderType["Left"] = "Left";
  ScreenBorderType["All"] = "All";
})(ScreenBorderType || (ScreenBorderType = {}));